<template>
  <div class="card" v-on:click="select">
    <h3>{{ restaurant.name }}</h3>
    <label>
      {{ restaurant.reviews.length ? 'Rating: ' +  getAverageRating() + '/5' : 'No ratings' }}
    </label>
    <star-rating :rating="getAverageRating()"></star-rating>
  </div>
</template>

<script>
import store from '../store/index';
import getAverageRestaurantRating from '../functions/getAverageRestaurantRating';
import starRating from './StarRating.vue';

export default {
  props: {
    restaurant: Object,
  },
  components: {
    starRating,
  },
  methods: {
    select() {
      store.commit('setSelectedRestaurant', {
        restaurant: this.restaurant,
      });
    },
    getAverageRating() {
      return getAverageRestaurantRating(this.restaurant);
    },
  },
}
</script>

<style lang="scss">

</style>
